<template>
  <ModuleBase :type="data.type">
    <template #content>
      <div :style="settingStyle"></div>
    </template>
  </ModuleBase>
</template>

<script>
import { getSpacingData } from '@/views/book/courseware/data/spacing';

import ModuleMixin from '../../common/ModuleMixin';

export default {
  name: 'SpacingPage',
  components: {},
  mixins: [ModuleMixin],
  data() {
    return {
      data: getSpacingData(),
    };
  },
  computed: {
    settingStyle() {
      return {
        height: `${this.data.property.height}px`,
        width: '100%',
        backgroundColor: '#f0f0f0',
      };
    },
  },
  methods: {},
};
</script>
